<?php

namespace PyvioPayDemo;

/**
 * 文档地址：https://developer-doc.pyvio.com/v1/Authentication/ClientCredentialsModel/#client-credentials-model
 * appID appSecret 获取地址：https://sandbox-business.pyvio.com/setting/developer
 */

// 1. 资源及配置加载
require_once dirname(__FILE__).'/loader.php';
require_once dirname(__FILE__).'/../PyvioPaySdk/request/ClientCredentialsModelRequest.php';

use PyvioPaySdk\lib\PyvioPayClient;
use PyvioPaySdk\request\ClientCredentialsModelRequest;

// 2.组装请求参数
$request = new ClientCredentialsModelRequest();

$request->setAppId('1674044218623168131');
$request->setAppSecret('4bc77e23e6fd438fbc6d887ba8574726');

$request->setGrantType('client_credentials');

$request->setHeaders([
    'Content-Type' => 'application/json',
    'X-Timestamp'  => intval(microtime(true) * 1000),
    'Request-Id'   => getRequestId(), // 唯一请求ID
]);

// 3. 发起API调用
$client = new PyvioPayClient();
$result = $client->request($request);

if (!$result || $result->isError()) {
    //失败处理
    var_dump($result->getErrorInfo());
} else {
    var_dump($result->getResponse());
    //成功处理
}
