<?php

namespace PyvioPaySdk\enums;


class FunctionCodeEnum
{
    static $V1_CLIENT_CREDENTIALS_MODEL = 'oauth/api/v1/token';

    #  ------------------------------ User ---------------------------------
    public static $V1_CREATE_A_NEW_USER = 'user/api/v1/user/register';

    public static $V1_GET_USER_BY_ID = 'user/api/v1/unit/query';

    public static $V1_GET_UNIT = 'user/api/v1/unit/get';

    public static $V1_Edit_USER = 'user/api/v1/user/edit';

    public static $V2_CREATE_A_NEW_USER = 'user/api/v2/user/register';

    public static $V2_Edit_USER = 'user/api/v2/user/edit';

    #  ------------------------------- Balances ----------------------------
    public static $V1_GET_CURRENT_BALANCE = 'finance/api/v1/balance';

    public static $V1_GET_BALANCE_HISTORY = 'finance/api/v1/balance/history';

    #  ----------------------------- Global Account ------------------------
    public static $V1_OPEN_A_GLOBAL_ACCOUNT = 'user/api/v1/va/apply';

    public static $V1_GET_GLOBAL_ACCOUNT_BY_ID = 'user/api/v1/va/get';

    public static $V1_GET_GLOBAL_ACCOUNT_LIST = 'user/api/v1/va/list';

    public static $V1_GET_GLOBAL_ACCOUNT_WELCOME_LETTER = 'user/api/v1/va/welcomeLetter';


    # ----------------------------- Shop ------------------------
    public static $V1_CREATE_SHOP = 'user/api/v1/shop/create';

    public static $V1_GET_SHOP_BY_SHOP_ID = 'user/api/v1/shop/query';

    public static $V1_EDIT_SHOP = 'user/api/v1/shop/edit';

    public static $V1_GET_SHOP_LIST = 'user/api/v1/shop/list';

    # ----------------------------- Collection ------------------------
    public static $V1_GET_COLLECTION_LIST = 'inbound/api/v1/collect/list';

    public static $V1_GET_COLLECTION_BY_ID = 'inbound/api/v1/collect/detail';

    public static $V1_COLLECTION_ATTACHMENT_SUBMIT = 'inbound/api/v1/collect/attachment/submit';

    public static $V1_COLLECTION_REFUND_LIST = 'inbound/api/v1/collect/refund/queryList';

    public static $V1_COLLECTION_REFUND_QUERY = 'inbound/api/v1/collect/refund/query';

    #  ----------------------------- Payee ------------------------
    public static $V1_CREATE_PAYEE = 'user/api/v1/payee/create';

    public static $V1_EDIT_PAYEE = 'user/api/v1/payee/edit';

    public static $V1_GET_PAYEE_BY_ID = 'user/api/v1/payee/get';

    public static $V1_GET_PAYEE_LIST = 'user/api/v1/payee/list';

    public static $V1_DELETE_PAYEE_BY_ID = 'user/api/v1/payee/delete';

    #  -------------------------- CNY Repatriation -----------------------
    public static $V1_REPATRIATION_ORDER_UPLOAD = 'order-center/api/v1/order/upload';

    public static $V1_REPATRIATION_ORDER_IMPORT = 'order-center/api/v1/order/import';

    public static $V1_AVAILABLE_REPATRIATION_Amount = 'order-center/api/v1/order/availableCredit';

    # ------------------------------ Fx ----------------------------
    public static $V1_QUERY_FX = 'fx/api/v1/rate';

    public static $V1_CREATE_A_FX_ORDER = 'fx/api/v1/order/create';

    public static $V1_GET_FX_ORDER_BY_ID = 'fx/api/v1/order/query';

    # -----------------------------  Payment --------------------------

    public static $V1_PAYMENT_QUERY_FX = 'outbound/api/v1/fx';

    public static $V1_CREATE_A_NEW_PAYMENT = 'outbound/api/v1/payment/create';

    public static $V1_GET_PAYMENT_BY_ID = 'outbound/api/v1/payment/get';

    # ----------------------------- Transform --------------------
    public static $V1_CREATE_A_TRANSFER = 'outbound/api/v1/transfer/create';

    public static $V1_GET_TRANSFER_BY_ID = 'outbound/api/v1/transfer/get';

    public static $V1_GET_TRANSFER_LIST = 'outbound/api/v1/transfer/list';

    # ----------------------------- Acquirer --------------------
    public static $V1_CASHIER_CHECKOUT = 'acquirer-payment/payment/cashier/api/v1/checkout';

    public static $V1_S2S_PAY = 'acquirer-payment/payment/s2s/api/v1/pay';

    public static $V1_ACQUIRER_REFUND = 'acquirer-payment/payment/api/v1/refund';

    public static $V1_ACQUIRER_CAPTURE = 'acquirer-payment/payment/api/v1/capture';

    public static $V1_ACQUIRER_VOID = 'acquirer-payment/payment/api/v1/void';

    public static $V1_ACQUIRER_ORDER_QUERY = 'acquirer-payment/payment/api/v1/query';

    public static $V1_ACQUIRER_LOGISTICS_UPLOAD = 'acquirer-payment/logistics/api/v1/upload';

    # ------------------------------ Issuing --------------------------------
    public static $V2_APPLY_CARD_HOLDER = 'issuing/api/v2/cardHolder/apply';

    public static $V2_QUERY_CARD_HOLDER = 'issuing/api/v2/cardHolder/detail';

    public static $V2_APPLY_CARD = 'issuing/api/v2/card/apply';

    public static $V2_QUERY_APPLY_CARD_STATUS = 'issuing/api/v2/card/queryApplyCardStatus';

    public static $V2_QUERY_CARD_DETAIL = 'issuing/api/v2/card/detail';

    public static $V2_QUERY_CARD_BALANCE = 'issuing/api/v2/card/balance';

    public static $V2_RECHARGE_NORMAL_CARD = 'issuing/api/v2/card/recharge';

    public static $V2_WITHDRAW_NORMAL_CARD = 'issuing/api/v2/card/withdraw';

    public static $V2_CANCEL_CARD = 'issuing/api/v2/card/cancel';

    public static $V2_AUTH_TRANSACTIONS = 'issuing/api/v2/transactions/authorization';

    public static $V2_SETTLEMENT_TRANSACTIONS = 'issuing/api/v2/transactions/settlement';

    public static $V2_CARD_TRANSACTIONS = 'issuing/api/v2/transactions/queryCardTransactions';

    public static $V1_APPLY_CARD = 'issuing/api/v1/card/apply';

    public static $V1_QUERY_APPLY_CARD_STATUS = 'issuing/api/v1/card/queryApplyCardStatus';

    public static $V1_QUERY_CARD_DETAIL = 'issuing/api/v1/card/detail';

    public static $V1_QUERY_CARD_BALANCE = 'issuing/api/v1/card/balance';

    public static $V1_RECHARGE_NORMAL_CARD = 'issuing/api/v1/card/recharge';

    public static $V1_WITHDRAW_NORMAL_CARD = 'issuing/api/v1/card/withdraw';

    public static $V1_CANCEL_CARD = 'issuing/api/v1/card/cancel';

    public static $V1_AUTH_TRANSACTIONS = 'issuing/api/v1/transactions/authorization';

    public static $V1_SETTLEMENT_TRANSACTIONS = 'issuing/api/v1/transactions/settlement';

    public static $V1_CARD_TRANSACTIONS = 'issuing/api/v1/transactions/queryCardTransactions';

    # ---------------------------------- File ------------------------------
    public static $V1_FILE_UPLOAD = 'file/api/v1/upload';

}
