<?php

namespace PyvioPaySdk\request\CNYRepatriation;

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class RepatriationOrderImportRequest extends BaseRequest
{
    public $method = 'POST';

    private $adsOrderList;

    private $goodsOrderList;

    private $softwareOrderList;

    private $orderType;


    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V1_REPATRIATION_ORDER_IMPORT;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->adsOrderList = isset($params['ads_order_list']) ? $params['ads_order_list'] : '';
            $this->goodsOrderList = isset($params['goods_order_list']) ? $params['goods_order_list'] : '';
            $this->softwareOrderList = isset($params['software_order_list']) ? $params['software_order_list'] : '';
            $this->orderType = isset($params['order_type']) ? $params['order_type'] : '';
        }
    }

    public function getAdsOrderList()
    {
        return $this->adsOrderList;
    }

    public function setAdsOrderList($adsOrderList)
    {
        $this->adsOrderList = $adsOrderList;
    }

    public function getGoodsOrderList()
    {
        return $this->goodsOrderList;
    }

    public function setGoodsOrderList($goodsOrderList)
    {
        $this->goodsOrderList = $goodsOrderList;
    }

    public function getSoftwareOrderList()
    {
        return $this->softwareOrderList;
    }

    public function setSoftwareOrderList($softwareOrderList)
    {
        $this->softwareOrderList = $softwareOrderList;
    }

    public function getOrderType()
    {
        return $this->orderType;
    }

    public function setOrderType($orderType)
    {
        $this->orderType = $orderType;
    }


}
