<?php

namespace PyvioPaySdk\request;

use PyvioPaySdk\enums\FunctionCodeEnum;

/**
 * 文档地址：https://developer-doc.pyvio.com/v1/Authentication/ClientCredentialsModel/#client-credentials-model
 * appID appSecret 获取地址：https://sandbox-business.pyvio.com/setting/developer
 */
class ClientCredentialsModelRequest extends BaseRequest
{
    public $method = 'POST';

    private $appId;

    private $appSecret;

    private $grantType;

    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V1_CLIENT_CREDENTIALS_MODEL;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->appId = isset($params['app_id']) ? $params['app_id'] : '';
            $this->appSecret = isset($params['app_secret']) ? $params['app_secret'] : '';
            $this->grantType = isset($params['grant_type']) ? $params['grant_type'] : 'client_credentials';
        }
    }

    public function getAppId()
    {
        return $this->appId;
    }

    public function setAppId($appId)
    {
        $this->appId = $appId;
    }

    public function getAppSecret()
    {
        return $this->appSecret;
    }

    public function setAppSecret($appSecret)
    {
        $this->appSecret = $appSecret;
    }

    public function getGrantType()
    {
        return $this->grantType;
    }

    public function setGrantType($grantType)
    {
        $this->grantType = $grantType;
    }

}
