<?php

namespace PyvioPaySdk\request\acquirer;

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class AcquirerOrderQueryRequest extends BaseRequest
{

    public $method = 'POST';

    private $websiteId;

    private $paymentAction;

    private $transactionId;

    private $paymentId;


    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V1_ACQUIRER_ORDER_QUERY;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->websiteId = isset($params['website_id']) ? $params['website_id'] : '';
            $this->paymentAction = isset($params['payment_action']) ? $params['payment_action'] : '';
            $this->transactionId = isset($params['transaction_id']) ? $params['transaction_id'] : '';
            $this->paymentId = isset($params['payment_id']) ? $params['payment_id'] : '';
        }
    }

    public function getWebsiteId()
    {
        return $this->websiteId;
    }

    public function getPaymentAction()
    {
        return $this->paymentAction;
    }

    public function getTransactionId()
    {
        return $this->transactionId;
    }

    public function getPaymentId()
    {
        return $this->paymentId;
    }

    public function setWebsiteId($websiteId)
    {
        $this->websiteId = $websiteId;
    }

    public function setPaymentAction($paymentAction)
    {
        $this->paymentAction = $paymentAction;
    }

    public function setTransactionId($transactionId)
    {
        $this->transactionId = $transactionId;
    }

    public function setPaymentId($paymentId)
    {
        $this->paymentId = $paymentId;
    }



}
