<?php

namespace PyvioPaySdk\request\acquirer;

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class AcquirerRefundRequest extends BaseRequest
{
    public $method = 'POST';


    private $websiteId;

    private $transactionId;

    private $referenceId;

    private $requestSource;

    private $currency;

    private $amount;

    private $notifyUrl;

    private $merchantPayTime;

    private $customerBank;

    private $customerBranch;

    private $customerAccount;

    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V1_ACQUIRER_REFUND;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->websiteId = isset($params['website_id']) ? $params['website_id'] : '';
            $this->transactionId = isset($params['transaction_id']) ? $params['transaction_id'] : '';
            $this->referenceId = isset($params['reference_id']) ? $params['reference_id'] : '';
            $this->requestSource = isset($params['request_source']) ? $params['request_source'] : '';
            $this->currency = isset($params['currency']) ? $params['currency'] : '';
            $this->amount = isset($params['amount']) ? $params['amount'] : '';
            $this->notifyUrl = isset($params['notify_url']) ? $params['notify_url'] : '';
            $this->merchantPayTime = isset($params['merchant_pay_time']) ? $params['merchant_pay_time'] : '';
            $this->customerBank = isset($params['customer_bank']) ? $params['customer_bank'] : '';
            $this->customerBranch = isset($params['customer_branch']) ? $params['customer_branch'] : '';
            $this->customerAccount = isset($params['customer_account']) ? $params['customer_account'] : '';
        }
    }

    public function getWebsiteId()
    {
        return $this->websiteId;
    }

    public function setWebsiteId($websiteId)
    {
        $this->websiteId = $websiteId;
    }

    public function getTransactionId()
    {
        return $this->transactionId;
    }

    public function setTransactionId($transactionId)
    {
        $this->transactionId = $transactionId;
    }

    public function getReferenceId()
    {
        return $this->referenceId;
    }

    public function setReferenceId($referenceId)
    {
        $this->referenceId = $referenceId;
    }

    public function getRequestSource()
    {
        return $this->requestSource;
    }

    public function setRequestSource($requestSource)
    {
        $this->requestSource = $requestSource;
    }

    public function getCurrency()
    {
        return $this->currency;
    }

    public function setCurrency($currency)
    {
        $this->currency = $currency;
    }

    public function getAmount()
    {
        return $this->amount;
    }

    public function setAmount($amount)
    {
        $this->amount = $amount;
    }

    public function getNotifyUrl()
    {
        return $this->notifyUrl;
    }

    public function setNotifyUrl($notifyUrl)
    {
        $this->notifyUrl = $notifyUrl;
    }

    public function getMerchantPayTime()
    {
        return $this->merchantPayTime;
    }

    public function setMerchantPayTime($merchantPayTime)
    {
        $this->merchantPayTime = $merchantPayTime;
    }


    public function setCustomerBank($customerBank){
        return $this->customerBank = $customerBank;
    }

    public function getCustomerBank() {
        return $this->customerBank;
    }

    public function setCustomerBranch($customerBranch) {
        return $this->customerBranch = $customerBranch;
    }

    public function getCustomerBranch() {
        return $this->customerBranch;
    }

    public function setCustomerAccount($customerAccount) {
        return $this->customerAccount = $customerAccount;
    }

    public function getCustomerAccount() {
        return $this->customerAccount;
    }

}
