<?php

namespace PyvioPaySdk\request\acquirer;

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class CashierCheckOutRequest extends BaseRequest
{
    public $method = 'POST';

    private $websiteId;

    private $transactionId;

    private $paymentType;

    private $currency;

    private $amount;

    private $threeDSecure;

    private $merchantPayTime;

    private $expiredTerm;

    private $customerId;

    private $remark;

    private $redirectUrl;

    private $cancelUrl;

    private $notifyUrl;

    private $billingInfo;

    private $customerInfo;

    private $goodsInfo;

    private $shippingInfo;


    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V1_CASHIER_CHECKOUT;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->websiteId = isset($params['website_id']) ? $params['website_id'] : '';
            $this->transactionId = isset($params['transaction_id']) ? $params['transaction_id'] : '';
            $this->paymentType = isset($params['payment_type']) ? $params['payment_type'] : '';
            $this->currency = isset($params['currency']) ? $params['currency'] : '';
            $this->amount = isset($params['amount']) ? $params['amount'] : '';
            $this->threeDSecure = isset($params['three_d_secure']) ? $params['three_d_secure'] : '';
            $this->merchantPayTime = isset($params['merchant_pay_time']) ? $params['merchant_pay_time'] : '';
            $this->expiredTerm = isset($params['expired_term']) ? $params['expired_term'] : '';
            $this->customerId = isset($params['customer_id']) ? $params['customer_id'] : '';
            $this->remark = isset($params['remark']) ? $params['remark'] : '';
            $this->redirectUrl = isset($params['redirect_url']) ? $params['redirect_url'] : '';
            $this->cancelUrl = isset($params['cancel_url']) ? $params['cancel_url'] : '';
            $this->notifyUrl = isset($params['notify_url']) ? $params['notify_url'] : '';
            $this->billingInfo = isset($params['billing_info']) ? $params['billing_info'] : '';
            $this->customerInfo = isset($params['customer_info']) ? $params['customer_info'] : '';
            $this->goodsInfo = isset($params['goods_info']) ? $params['goods_info'] : '';
            $this->shippingInfo = isset($params['shipping_info']) ? $params['shipping_info'] : '';
        }
    }

    public function getWebsiteId()
    {
        return $this->websiteId;
    }

    public function setWebsiteId($websiteId)
    {
        $this->websiteId = $websiteId;
    }

    public function getTransactionId()
    {
        return $this->transactionId;
    }

    public function setTransactionId($transactionId)
    {
        $this->transactionId = $transactionId;
    }

    public function getPaymentType()
    {
        return $this->paymentType;
    }

    public function setPaymentType($paymentType)
    {
        $this->paymentType = $paymentType;
    }

    public function getCurrency()
    {
        return $this->currency;
    }

    public function setCurrency($currency)
    {
        $this->currency = $currency;
    }

    public function getAmount()
    {
        return $this->amount;
    }

    public function setAmount($amount)
    {
        $this->amount = $amount;
    }

    public function getThreeDSecure()
    {
        return $this->threeDSecure;
    }

    public function setThreeDSecure($threeDSecure)
    {
        $this->threeDSecure = $threeDSecure;
    }

    public function getMerchantPayTime()
    {
        return $this->merchantPayTime;
    }

    public function setMerchantPayTime($merchantPayTime)
    {
        $this->merchantPayTime = $merchantPayTime;
    }

    public function getExpiredTerm()
    {
        return $this->expiredTerm;
    }

    public function setExpiredTerm($expiredTerm)
    {
        $this->expiredTerm = $expiredTerm;
    }

    public function getCustomerId()
    {
        return $this->customerId;
    }

    public function setCustomerId($customerId)
    {
        $this->customerId = $customerId;
    }

    public function getRemark()
    {
        return $this->remark;
    }

    public function setRemark($remark)
    {
        $this->remark = $remark;
    }

    public function getRedirectUrl()
    {
        return $this->redirectUrl;
    }

    public function setRedirectUrl($redirectUrl)
    {
        $this->redirectUrl = $redirectUrl;
    }

    public function getCancelUrl()
    {
        return $this->cancelUrl;
    }

    public function setCancelUrl($cancelUrl)
    {
        $this->cancelUrl = $cancelUrl;
    }

    public function getNotifyUrl()
    {
        return $this->notifyUrl;
    }

    public function setNotifyUrl($notifyUrl)
    {
        $this->notifyUrl = $notifyUrl;
    }

    public function getBillingInfo()
    {
        return $this->billingInfo;
    }

    public function setBillingInfo($billingInfo)
    {
        $this->billingInfo = $billingInfo;
    }

    public function getCustomerInfo()
    {
        return $this->customerInfo;
    }

    public function setCustomerInfo($customerInfo)
    {
        $this->customerInfo = $customerInfo;
    }

    public function getGoodsInfo()
    {
        return $this->goodsInfo;
    }

    public function setGoodsInfo($goodsInfo)
    {
        $this->goodsInfo = $goodsInfo;
    }

    public function getShippingInfo()
    {
        return $this->shippingInfo;
    }

    public function setShippingInfo($shippingInfo)
    {
        $this->shippingInfo = $shippingInfo;
    }




}
