<?php

namespace PyvioPaySdk\request\acquirer;

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class LogisticsUploadRequest extends BaseRequest
{
    public $method = 'POST';


    private $websiteId;

    private $transactionId;

    private $trackingNumber;

    private $logisticsCompany;


    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V1_ACQUIRER_LOGISTICS_UPLOAD;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->websiteId = isset($params['website_id']) ? $params['website_id'] : '';
            $this->transactionId = isset($params['transaction_id']) ? $params['transaction_id'] : '';
            $this->trackingNumber = isset($params['tracking_number']) ? $params['tracking_tracking'] : '';
            $this->logisticsCompany = isset($params['logistics_company']) ? $params['logistics_company'] : '';
        }
    }


    public function getWebsiteId()
    {
        return $this->websiteId;
    }

    public function setWebsiteId($websiteId)
    {
        $this->websiteId = $websiteId;
    }

    public function getTransactionId()
    {
        return $this->transactionId;
    }

    public function setTransactionId($transactionId)
    {
        $this->transactionId = $transactionId;
    }

    public function getTrackingNumber()
    {
        return $this->trackingNumber;
    }

    public function setTrackingNumber($trackingNumber)
    {
        $this->trackingNumber = $trackingNumber;
    }

    public function getLogisticsCompany()
    {
        return $this->logisticsCompany;
    }

    public function setLogisticsCompany($logisticsCompany)
    {
        $this->logisticsCompany = $logisticsCompany;
    }



}