<?php

namespace PyvioPaySdk\request\acquirer;

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class S2SPayRequest extends BaseRequest
{
    public $method = 'POST';


    private $websiteId;

    private $transactionId;

    private $paymentType;

    private $currency;

    private $amount;

    private $threeDSecure;

    private $merchantPayTime;

    private $customerId;

    private $remark;

    private $paymentBrand;

    private $paymentMethod;

    private $cardNumber;

    private $cardHolderFirstName;

    private $cardHolderLastName;

    private $cardExpireMonth;

    private $cardExpireYear;

    private $cardCvv;

    private $billingInfo;

    private $customerInfo;

    private $goodsInfo;

    private $shippingInfo;

    private $terminalInfo;

    private $riskInfo;

    private $tradeCountry;

    private $shopperResultUrl;

    private $notifyUrl;

    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V1_S2S_PAY;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->websiteId = isset($params['website_id']) ? $params['website_id'] : '';
            $this->transactionId = isset($params['transaction_id']) ? $params['transaction_id'] : '';
            $this->paymentType = isset($params['payment_type']) ? $params['payment_type'] : '';
            $this->currency = isset($params['currency']) ? $params['currency'] : '';
            $this->amount = isset($params['amount']) ? $params['amount'] : '';
            $this->threeDSecure = isset($params['three_d_secure']) ? $params['three_d_secure'] : '';
            $this->merchantPayTime = isset($params['merchant_pay_time']) ? $params['merchant_pay_time'] : '';
            $this->customerId = isset($params['customer_id']) ? $params['customer_id'] : '';
            $this->remark = isset($params['remark']) ? $params['remark'] : '';
            $this->paymentBrand = isset($params['payment_brand']) ? $params['payment_brand'] : '';
            $this->paymentMethod = isset($params['payment_method']) ? $params['payment_method'] : '';
            $this->cardNumber = isset($params['card_number']) ? $params['card_number'] : '';
            $this->cardHolderFirstName = isset($params['card_holder_first_name']) ? $params['card_holder_first_name'] : '';
            $this->cardHolderLastName = isset($params['card_holder_last_name']) ? $params['card_holder_last_name'] : '';
            $this->cardExpireMonth = isset($params['card_expire_month']) ? $params['card_expire_month'] : '';
            $this->cardExpireYear = isset($params['card_expire_year']) ? $params['card_expire_year'] : '';
            $this->cardCvv = isset($params['card_cvv']) ? $params['card_cvv'] : '';
            $this->billingInfo = isset($params['billing_info']) ? $params['billing_info'] : '';
            $this->customerInfo = isset($params['customer_info']) ? $params['customer_info'] : '';
            $this->goodsInfo = isset($params['goods_info']) ? $params['goods_info'] : '';
            $this->shippingInfo = isset($params['shipping_info']) ? $params['shipping_info'] : '';
            $this->terminalInfo = isset($params['terminal_info']) ? $params['terminal_info'] : '';
            $this->riskInfo = isset($params['risk_info']) ? $params['risk_info'] : '';
            $this->tradeCountry = isset($params['trade_country']) ? $params['trade_country'] : '';
            $this->shopperResultUrl = isset($params['shopper_result_url']) ? $params['shopper_result_url'] : '';
            $this->notifyUrl = isset($params['notify_url']) ? $params['notify_url'] : '';
        }
    }

    public function getWebsiteId()
    {
        return $this->websiteId;
    }

    public function setWebsiteId($websiteId)
    {
        $this->websiteId = $websiteId;
    }

    public function getTransactionId()
    {
        return $this->transactionId;
    }

    public function setTransactionId($transactionId)
    {
        $this->transactionId = $transactionId;
    }

    public function getPaymentType()
    {
        return $this->paymentType;
    }

    public function setPaymentType($paymentType)
    {
        $this->paymentType = $paymentType;
    }

    public function getCurrency()
    {
        return $this->currency;
    }

    public function setCurrency($currency)
    {
        $this->currency = $currency;
    }

    public function getAmount()
    {
        return $this->amount;
    }

    public function setAmount($amount)
    {
        $this->amount = $amount;
    }

    public function getThreeDSecure()
    {
        return $this->threeDSecure;
    }

    public function setThreeDSecure($threeDSecure)
    {
        $this->threeDSecure = $threeDSecure;
    }

    public function getMerchantPayTime()
    {
        return $this->merchantPayTime;
    }

    public function setMerchantPayTime($merchantPayTime)
    {
        $this->merchantPayTime = $merchantPayTime;
    }

    public function getCustomerId()
    {
        return $this->customerId;
    }

    public function setCustomerId($customerId)
    {
        $this->customerId = $customerId;
    }

    public function getRemark()
    {
        return $this->remark;
    }

    public function setRemark($remark)
    {
        $this->remark = $remark;
    }

    public function getPaymentBrand()
    {
        return $this->paymentBrand;
    }

    public function setPaymentBrand($paymentBrand)
    {
        $this->paymentBrand = $paymentBrand;
    }

    public function getPaymentMethod()
    {
        return $this->paymentMethod;
    }

    public function setPaymentMethod($paymentMethod)
    {
        $this->paymentMethod = $paymentMethod;
    }

    public function getCardNumber()
    {
        return $this->cardNumber;
    }

    public function setCardNumber($cardNumber)
    {
        $this->cardNumber = $cardNumber;
    }

    public function getCardHolderFirstName()
    {
        return $this->cardHolderFirstName;
    }

    public function setCardHolderFirstName($cardHolderFirstName)
    {
        $this->cardHolderFirstName = $cardHolderFirstName;
    }

    public function getCardHolderLastName()
    {
        return $this->cardHolderLastName;
    }

    public function setCardHolderLastName($cardHolderLastName)
    {
        $this->cardHolderLastName = $cardHolderLastName;
    }

    public function getCardExpireMonth()
    {
        return $this->cardExpireMonth;
    }

    public function setCardExpireMonth($cardExpireMonth)
    {
        $this->cardExpireMonth = $cardExpireMonth;
    }

    public function getCardExpireYear()
    {
        return $this->cardExpireYear;
    }

    public function setCardExpireYear($cardExpireYear)
    {
        $this->cardExpireYear = $cardExpireYear;
    }

    public function getCardCvv()
    {
        return $this->cardCvv;
    }

    public function setCardCvv($cardCvv)
    {
        $this->cardCvv = $cardCvv;
    }

    public function getBillingInfo()
    {
        return $this->billingInfo;
    }

    public function setBillingInfo($billingInfo)
    {
        $this->billingInfo = $billingInfo;
    }

    public function getCustomerInfo()
    {
        return $this->customerInfo;
    }

    public function setCustomerInfo($customerInfo)
    {
        $this->customerInfo = $customerInfo;
    }

    public function getGoodsInfo()
    {
        return $this->goodsInfo;
    }

    public function setGoodsInfo($goodsInfo)
    {
        $this->goodsInfo = $goodsInfo;
    }

    public function getShippingInfo()
    {
        return $this->shippingInfo;
    }

    public function setShippingInfo($shippingInfo)
    {
        $this->shippingInfo = $shippingInfo;
    }

    public function getTerminalInfo()
    {
        return $this->terminalInfo;
    }

    public function setTerminalInfo($terminalInfo)
    {
        $this->terminalInfo = $terminalInfo;
    }

    public function getRiskInfo()
    {
        return $this->riskInfo;
    }

    public function setRiskInfo($riskInfo)
    {
        $this->riskInfo = $riskInfo;
    }

    public function getTradeCountry()
    {
        return $this->tradeCountry;
    }

    public function setTradeCountry($tradeCountry)
    {
        $this->tradeCountry = $tradeCountry;
    }

    public function getShopperResultUrl()
    {
        return $this->shopperResultUrl;
    }

    public function setShopperResultUrl($shopperResultUrl)
    {
        $this->shopperResultUrl = $shopperResultUrl;
    }

    public function getNotifyUrl()
    {
        return $this->notifyUrl;
    }

    public function setNotifyUrl($notifyUrl)
    {
        $this->notifyUrl = $notifyUrl;
    }




}
