<?php

namespace PyvioPaySdk\request\balance;

// 文档地址：https://developer-doc.pyvio.com/v1/Balances/#get-balance-history

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class GetBalanceHistoryRequest extends BaseRequest
{
    public $method = 'GET';

    private $fromCreated;

    private $toCreated;

    private $pageNo;

    private $pageSize;

    private $currency;

    private $accountType;

    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V1_GET_BALANCE_HISTORY;
    }


    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->fromCreated = isset($params['from_created']) ? $params['from_created'] : '';
            $this->toCreated = isset($params['to_created']) ? $params['to_created'] : '';
            $this->pageNo = isset($params['page_no']) ? $params['page_no'] : '';
            $this->pageSize = isset($params['page_size']) ? $params['page_size'] : '';
            $this->currency = isset($params['currency']) ? $params['currency'] : '';
            $this->accountType = isset($params['account_type']) ? $params['account_type'] : '';
        }
    }

    public function getFromCreated()
    {
        return $this->fromCreated;
    }

    public function setFromCreated($fromCreated)
    {
        $this->fromCreated = $fromCreated;
    }

    public function getToCreated()
    {
        return $this->toCreated;
    }

    public function setToCreated($toCreated)
    {
        $this->toCreated = $toCreated;
    }

    public function getPageNo()
    {
        return $this->pageNo;
    }

    public function setPageNo($pageNo)
    {
        $this->pageNo = $pageNo;
    }

    public function getPageSize()
    {
        return $this->pageSize;
    }

    public function setPageSize($pageSize)
    {
        $this->pageSize = $pageSize;
    }

    public function getCurrency()
    {
        return $this->currency;
    }

    public function setCurrency($currency)
    {
        $this->currency = $currency;
    }

    public function getAccountType()
    {
        return $this->accountType;
    }

    public function setAccountType($accountType)
    {
        $this->accountType = $accountType;
    }

}
