<?php

namespace PyvioPaySdk\request\collection;

// 文档地址：https://developer-doc.pyvio.com/v1/Collection/#collection-attachment-submit

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class CollectionAttachmentSubmitRequest extends BaseRequest
{
    public $method = 'POST';

    private $orderId;

    private $attachmentType;

    private $webStoreUrl;

    private $files;



    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V1_COLLECTION_ATTACHMENT_SUBMIT;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->orderId = isset($params['order_id']) ? $params['order_id'] : '';
            $this->attachmentType = isset($params['attachment_type']) ? $params['attachment_type'] : '';
            $this->webStoreUrl = isset($params['web_store_url']) ? $params['web_store_url'] : '';
            $this->files = isset($params['files']) ? $params['files'] : '';
        }
    }

    public function getOrderId()
    {
        return $this->orderId;
    }

    public function setOrderId($orderId)
    {
        $this->orderId = $orderId;
    }

    public function getAttachmentType()
    {
        return $this->attachmentType;
    }

    public function setAttachmentType($attachmentType)
    {
        $this->attachmentType = $attachmentType;
    }

    public function getWebStoreUrl()
    {
        return $this->webStoreUrl;
    }

    public function setWebStoreUrl($webStoreUrl)
    {
        $this->webStoreUrl = $webStoreUrl;
    }

    public function getFiles()
    {
        return $this->files;
    }

    public function setFiles($files)
    {
        $this->files = $files;
    }



}
