<?php

namespace PyvioPaySdk\request\collection;

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class CollectionRefundQueryRequest extends BaseRequest
{
    public $method = 'GET';

    private $refundOrderId;

    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V1_COLLECTION_REFUND_QUERY;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->refundOrderId = isset($params['refund_order_id']) ? $params['refund_order_id'] : '';
        }
    }

    public function getRefundOrderId()
    {
        return $this->refundOrderId;
    }

    public function setRefundOrderId($refundOrderId)
    {
        $this->refundOrderId = $refundOrderId;
    }
}