<?php

namespace PyvioPaySdk\request\collection;

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class CollectionRefundRequest extends BaseRequest
{
    public $method = 'GET';

    private $fromCreated;

    private $toCreated;

    private $pageNo;

    private $pageSize;

    private $status;

    private $accountNo;

    private $orderId;

    private $refundOrderId;


    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V1_COLLECTION_REFUND_LIST;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->orderId = isset($params['order_id']) ? $params['order_id'] : '';
            $this->fromCreated = isset($params['from_created']) ? $params['from_created'] : '';
            $this->toCreated = isset($params['to_created']) ? $params['to_created'] : '';
            $this->pageNo = isset($params['page_no']) ? $params['page_no'] : '';
            $this->pageSize = isset($params['page_size']) ? $params['page_size'] : '';
            $this->status = isset($params['status']) ? $params['status'] : '';
            $this->accountNo = isset($params['account_no']) ? $params['account_no'] : '';
            $this->refundOrder_id = isset($params['refund_order_id']) ? $params['refund_order_id'] : '';
        }
    }

    /**
     * @return
     */
    public function getMethod()
    {
        return $this->method;
    }

    /**
     * @param  $method
     */
    public function setMethod($method)
    {
        $this->method = $method;
    }

    /**
     * @return mixed
     */
    public function getFromCreated()
    {
        return $this->fromCreated;
    }

    /**
     * @param mixed $fromCreated
     */
    public function setFromCreated($fromCreated)
    {
        $this->fromCreated = $fromCreated;
    }

    /**
     * @return mixed
     */
    public function getToCreated()
    {
        return $this->toCreated;
    }

    /**
     * @param mixed $toCreated
     */
    public function setToCreated($toCreated)
    {
        $this->toCreated = $toCreated;
    }

    /**
     * @return mixed
     */
    public function getPageNo()
    {
        return $this->pageNo;
    }

    /**
     * @param mixed $pageNo
     */
    public function setPageNo($pageNo)
    {
        $this->pageNo = $pageNo;
    }

    /**
     * @return mixed
     */
    public function getPageSize()
    {
        return $this->pageSize;
    }

    /**
     * @param mixed $pageSize
     */
    public function setPageSize($pageSize)
    {
        $this->pageSize = $pageSize;
    }

    /**
     * @return mixed
     */
    public function getStatus()
    {
        return $this->status;
    }

    /**
     * @param mixed $status
     */
    public function setStatus($status)
    {
        $this->status = $status;
    }

    /**
     * @return mixed
     */
    public function getAccountNo()
    {
        return $this->accountNo;
    }

    /**
     * @param mixed $accountNo
     */
    public function setAccountNo($accountNo)
    {
        $this->accountNo = $accountNo;
    }

    /**
     * @return mixed
     */
    public function getOrderId()
    {
        return $this->orderId;
    }

    /**
     * @param mixed $orderId
     */
    public function setOrderId($orderId)
    {
        $this->orderId = $orderId;
    }

    /**
     * @return mixed
     */
    public function getRefundOrderId()
    {
        return $this->refundOrderId;
    }

    /**
     * @param mixed $refundOrderId
     */
    public function setRefundOrderId($refundOrderId)
    {
        $this->refundOrderId = $refundOrderId;
    }

}
