<?php

namespace PyvioPaySdk\request\collection;

// 文档地址：https://developer-doc.pyvio.com/v1/Collection/#get-collection-by-id

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class GetCollectionByIdRequest extends BaseRequest
{
    public $method = 'GET';

    private $orderId;

    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V1_GET_COLLECTION_BY_ID;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->orderId = isset($params['order_id']) ? $params['order_id'] : '';
        }
    }

    public function getOrderId()
    {
        return $this->orderId;
    }

    public function setOrderId($orderId)
    {
        $this->orderId = $orderId;
    }
}
