<?php

namespace PyvioPaySdk\request\fx;

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class CreateAFxOrderRequest extends BaseRequest
{
    public $method = 'POST';

    private $partnerOrderId;

    private $rateId;

    private $calOrigin;

    private $amount;

    private $originCurrency;

    private $targetCurrency;



    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V1_CREATE_A_FX_ORDER;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->partnerOrderId = isset($params['partner_order_id']) ? $params['partner_order_id'] : '';
            $this->rateId = isset($params['rate_id']) ? $params['rate_id'] : '';
            $this->calOrigin = isset($params['cal_origin']) ? $params['cal_origin'] : '';
            $this->amount = isset($params['amount']) ? $params['amount'] : '';
            $this->originCurrency = isset($params['origin_currency']) ? $params['origin_currency'] : '';
            $this->targetCurrency = isset($params['target_currency']) ? $params['target_currency'] : '';
        }
    }

    public function getPartnerOrderId()
    {
        return $this->partnerOrderId;
    }

    public function setPartnerOrderId($partnerOrderId)
    {
        $this->partnerOrderId = $partnerOrderId;
    }


    public function getRateId()
    {
        return $this->rateId;
    }

    public function setRateId($rateId)
    {
        $this->rateId = $rateId;
    }

    public function getCalOrigin()
    {
        return $this->calOrigin;
    }

    public function setCalOrigin($calOrigin)
    {
        $this->calOrigin = $calOrigin;
    }

    public function getAmount()
    {
        return $this->amount;
    }

    public function setAmount($amount)
    {
        $this->amount = $amount;
    }

    public function getOriginCurrency()
    {
        return $this->originCurrency;
    }

    public function setOriginCurrency($originCurrency)
    {
        $this->originCurrency = $originCurrency;
    }

    public function getTargetCurrency()
    {
        return $this->targetCurrency;
    }

    public function setTargetCurrency($targetCurrency)
    {
        $this->targetCurrency = $targetCurrency;
    }


}
