<?php

namespace PyvioPaySdk\request\fx;

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class GetFxOrderByIdRequest extends BaseRequest
{
    public $method = 'GET';

    private $orderId;

    private $partnerOrderId;


    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V1_GET_FX_ORDER_BY_ID;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->orderId = isset($params['order_id']) ? $params['order_id'] : '';
            $this->partnerOrderId = isset($params['partner_order_id']) ? $params['partner_order_id'] : '';
        }
    }

    public function getOrderId()
    {
        return $this->orderId;
    }

    public function getPartnerOrderId()
    {
        return $this->partnerOrderId;
    }

    public function setOrderId($orderId)
    {
        $this->orderId = $orderId;
    }

    public function setPartnerOrderId($partnerOrderId)
    {
        $this->partnerOrderId = $partnerOrderId;
    }

}
