<?php

namespace PyvioPaySdk\request\fx;

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class QueryFxRequest extends BaseRequest
{
    public $method = 'POST';

    private $originCurrency;

    private $targetCurrency;



    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V1_QUERY_FX;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->originCurrency = isset($params['origin_currency']) ? $params['origin_currency'] : '';
            $this->targetCurrency = isset($params['target_currency']) ? $params['target_currency'] : '';
        }
    }

    public function getOriginCurrency()
    {
        return $this->originCurrency;
    }

    public function setOriginCurrency($originCurrency)
    {
        $this->originCurrency = $originCurrency;
    }

    public function getTargetCurrency()
    {
        return $this->targetCurrency;
    }

    public function setTargetCurrency($targetCurrency)
    {
        $this->targetCurrency = $targetCurrency;
    }



}
