<?php

namespace PyvioPaySdk\request\globalAccount;

// 文档地址：https://developer-doc.pyvio.com/v1/GlobalAccount/#get-global-account-by-id

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class GetGlobalAccountByIdRequest extends BaseRequest
{

    public $method = 'GET';

    private $gaId;

    private $partnerGaId;

    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V1_GET_GLOBAL_ACCOUNT_BY_ID;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->gaId = isset($params['ga_id']) ? $params['ga_id'] : '';
            $this->partnerGaId = isset($params['partner_ga_id']) ? $params['partner_ga_id'] : '';
        }
    }

    public function getGaId()
    {
        return $this->gaId;
    }

    public function setGaId($gaId)
    {
        $this->gaId = $gaId;
    }

    public function getPartnerGaId()
    {
        return $this->partnerGaId;
    }

    public function setPartnerGaId($partnerGaId)
    {
        $this->partnerGaId = $partnerGaId;
    }

}
