<?php

namespace PyvioPaySdk\request\globalAccount;

// 文档地址：https://developer-doc.pyvio.com/v1/GlobalAccount/#get-global-account-list

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class GetGlobalAccountListRequest extends BaseRequest
{
    public $method = 'GET';

    private $fromCreated;

    private $toCreated;

    private $pageNo;

    private $pageSize;

    private $accountNo;

    private $currency;

    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V1_GET_GLOBAL_ACCOUNT_LIST;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->fromCreated = isset($params['from_created']) ? $params['from_created'] : '';
            $this->toCreated = isset($params['to_created']) ? $params['to_created'] : '';
            $this->pageNo = isset($params['page_no']) ? $params['page_no'] : '';
            $this->pageSize = isset($params['page_size']) ? $params['page_size'] : '';
            $this->accountNo = isset($params['account_no']) ? $params['account_no'] : '';
            $this->currency = isset($params['currency']) ? $params['currency'] : '';
        }
    }

    public function getFromCreated()
    {
        return $this->fromCreated;
    }

    public function setFromCreated($fromCreated)
    {
        $this->fromCreated = $fromCreated;
    }

    public function getToCreated()
    {
        return $this->toCreated;
    }

    public function setToCreated($toCreated)
    {
        $this->toCreated = $toCreated;
    }

    public function getPageNo()
    {
        return $this->pageNo;
    }

    public function setPageNo($pageNo)
    {
        $this->pageNo = $pageNo;
    }

    public function getPageSize()

    {
        return $this->pageSize;
    }

    public function setPageSize($pageSize)
    {
        $this->pageSize = $pageSize;
    }

    public function getAccountNo()
    {
        return $this->accountNo;
    }

    public function setAccountNo($accountNo)
    {
        $this->accountNo = $accountNo;
    }

    public function getCurrency()
    {
        return $this->currency;
    }

    public function setCurrency($currency)
    {
        $this->currency = $currency;
    }

}
