<?php

namespace PyvioPaySdk\request\globalAccount;

// 文档地址：https://developer-doc.pyvio.com/v1/GlobalAccount/#open-a-global-account

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class OpenAGlobalAccountRequest extends BaseRequest
{
    public $method = 'POST';

    private $bizType;

    private $country;

    private $currency;

    private $platform;

    private $partnerGaId;

    private $shopId;

    private $accountPurpose;


    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V1_OPEN_A_GLOBAL_ACCOUNT;
    }


    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->bizType = isset($params['biz_type']) ? $params['biz_type'] : '';
            $this->country = isset($params['country']) ? $params['country'] : '';
            $this->currency = isset($params['currency']) ? $params['currency'] : '';
            $this->platform = isset($params['platform']) ? $params['platform'] : '';
            $this->partnerGaId = isset($params['partner_ga_id']) ? $params['partner_ga_id'] : '';
            $this->shopId = isset($params['shop_id']) ? $params['shop_id'] : '';
            $this->accountPurpose = isset($params['account_purpose']) ? $params['account_purpose'] : '';
        }
    }

    public function getBizType()
    {
        return $this->bizType;
    }

    public function setBizType($bizType)
    {
        $this->bizType = $bizType;
    }

    public function getCountry()
    {
        return $this->country;
    }

    public function setCountry($country)
    {
        $this->country = $country;
    }

    public function getCurrency()
    {
        return $this->currency;
    }

    public function setCurrency($currency)
    {
        $this->currency = $currency;
    }

    public function getPlatform()
    {
        return $this->platform;
    }

    public function setPlatform($platform)
    {
        $this->platform = $platform;
    }

    public function getPartnerGaId()
    {
        return $this->partnerGaId;
    }

    public function setPartnerGaId($partnerGaId)
    {
        $this->partnerGaId = $partnerGaId;
    }

    public function getShopId()
    {
        return $this->shopId;
    }

    public function setShopId($shopId)
    {
        $this->shopId = $shopId;
    }

    public function getAccountPurpose()
    {
        return $this->accountPurpose;
    }

    public function setAccountPurpose($accountPurpose)
    {
        $this->accountPurpose = $accountPurpose;
    }



}
