<?php

namespace PyvioPaySdk\request\issuing;

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class ApplyCardRequest extends BaseRequest
{
    public $method = 'POST';

    private $partnerOrderId;

    private $cardBinId;

    private $amount;

    private $currency;

    private $accountCurrency;

    private $cardHolderId;

    /**
     * @return mixed
     */
    public function getCardHolderId()
    {
        return $this->cardHolderId;
    }

    /**
     * @param mixed $cardHolderId
     */
    public function setCardHolderId($cardHolderId)
    {
        $this->cardHolderId = $cardHolderId;
    }


    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V2_APPLY_CARD;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->partnerOrderId = isset($params['partner_order_id']) ? $params['partner_order_id'] : '';
            $this->cardBinId = isset($params['card_bin_id']) ? $params['card_bin_id'] : '';
            $this->amount = isset($params['amount']) ? $params['amount'] : '';
            $this->currency = isset($params['currency']) ? $params['currency'] : '';
            $this->accountCurrency = isset($params['account_currency']) ? $params['account_currency'] : '';
        }
    }

    public function getPartnerOrderId()
    {
        return $this->partnerOrderId;
    }

    public function setPartnerOrderId($partnerOrderId)
    {
        $this->partnerOrderId = $partnerOrderId;
    }

    public function getCardBinId()
    {
        return $this->cardBinId;
    }

    public function setCardBinId($cardBinId)
    {
        $this->cardBinId = $cardBinId;
    }

    public function getAmount()
    {
        return $this->amount;
    }

    public function setAmount($amount)
    {
        $this->amount = $amount;
    }

    public function getCurrency()
    {
        return $this->currency;
    }

    public function setCurrency($currency)
    {
        $this->currency = $currency;
    }

    public function getAccountCurrency()
    {
        return $this->accountCurrency;
    }

    public function setAccountCurrency($accountCurrency)
    {
        $this->accountCurrency = $accountCurrency;
    }


}
