<?php

namespace PyvioPaySdk\request\issuing;

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class ApplyCardholderRequest extends BaseRequest
{
    public $method = 'POST';

    private $partnerHolderId;

    private $region;

    private $firstName;

    private $lastName;

    private $mobilePrefix;

    private $mobile;

    private $email;

    private $birthDate;

    private $countryCode;

    private $state;

    private $city;

    private $address;

    private $postcode;


    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V2_APPLY_CARD_HOLDER;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->partnerHolderId = isset($params['partner_holder_id']) ? $params['partner_holder_id'] : '';
            $this->region = isset($params['region']) ? $params['region'] : '';
            $this->firstName = isset($params['first_name']) ? $params['first_name'] : '';
            $this->lastName = isset($params['last_name']) ? $params['last_name'] : '';
            $this->mobilePrefix = isset($params['mobile_prefix']) ? $params['mobile_prefix'] : '';
            $this->mobile = isset($params['mobile']) ? $params['mobile'] : '';
            $this->email = isset($params['email']) ? $params['email'] : '';
            $this->birthDate = isset($params['birth_date']) ? $params['birth_date'] : '';
            $this->countryCode = isset($params['country_code']) ? $params['country_code'] : '';
            $this->state = isset($params['state']) ? $params['state'] : '';
            $this->city = isset($params['city']) ? $params['city'] : '';
            $this->address = isset($params['address']) ? $params['address'] : '';
            $this->postcode = isset($params['post_code']) ? $params['post_code'] : '';
        }
    }

    public function getPartnerHolderId()
    {
        return $this->partnerHolderId;
    }

    public function setPartnerHolderId($partnerHolderId)
    {
        $this->partnerHolderId = $partnerHolderId;
    }

    /**
     * @return mixed
     */
    public function getRegion()
    {
        return $this->region;
    }

    /**
     * @param mixed $region
     */
    public function setRegion($region)
    {
        $this->region = $region;
    }

    /**
     * @return mixed
     */
    public function getFirstName()
    {
        return $this->firstName;
    }

    /**
     * @param mixed $firstName
     */
    public function setFirstName($firstName)
    {
        $this->firstName = $firstName;
    }

    /**
     * @return mixed
     */
    public function getLastName()
    {
        return $this->lastName;
    }

    /**
     * @param mixed $lastName
     */
    public function setLastName($lastName)
    {
        $this->lastName = $lastName;
    }

    /**
     * @return mixed
     */
    public function getMobilePrefix()
    {
        return $this->mobilePrefix;
    }

    /**
     * @param mixed $mobilePrefix
     */
    public function setMobilePrefix($mobilePrefix)
    {
        $this->mobilePrefix = $mobilePrefix;
    }

    /**
     * @return mixed
     */
    public function getMobile()
    {
        return $this->mobile;
    }

    /**
     * @param mixed $mobile
     */
    public function setMobile($mobile)
    {
        $this->mobile = $mobile;
    }

    /**
     * @return mixed
     */
    public function getEmail()
    {
        return $this->email;
    }

    /**
     * @param mixed $email
     */
    public function setEmail($email)
    {
        $this->email = $email;
    }

    /**
     * @return mixed
     */
    public function getBirthDate()
    {
        return $this->birthDate;
    }

    /**
     * @param mixed $birthDate
     */
    public function setBirthDate($birthDate)
    {
        $this->birthDate = $birthDate;
    }

    /**
     * @return mixed
     */
    public function getCountryCode()
    {
        return $this->countryCode;
    }

    /**
     * @param mixed $countryCode
     */
    public function setCountryCode($countryCode)
    {
        $this->countryCode = $countryCode;
    }

    /**
     * @return mixed
     */
    public function getState()
    {
        return $this->state;
    }

    /**
     * @param mixed $state
     */
    public function setState($state)
    {
        $this->state = $state;
    }

    /**
     * @return mixed
     */
    public function getCity()
    {
        return $this->city;
    }

    /**
     * @param mixed $city
     */
    public function setCity($city)
    {
        $this->city = $city;
    }

    /**
     * @return mixed
     */
    public function getAddress()
    {
        return $this->address;
    }

    /**
     * @param mixed $address
     */
    public function setAddress($address)
    {
        $this->address = $address;
    }

    /**
     * @return mixed
     */
    public function getPostcode()
    {
        return $this->postcode;
    }

    /**
     * @param mixed $postcode
     */
    public function setPostcode($postcode)
    {
        $this->postcode = $postcode;
    }

}
