<?php

namespace PyvioPaySdk\request\issuing;

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class CancelCardRequest extends BaseRequest
{
    public $method = 'POST';

    private $partnerOrderId;

    private $cardId;

    private $accountCurrency;


    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V2_CANCEL_CARD;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->partnerOrderId = isset($params['partner_order_id']) ? $params['partner_order_id'] : '';
            $this->cardId = isset($params['card_id']) ? $params['card_id'] : '';
            $this->accountCurrency = isset($params['account_currency']) ? $params['account_currency'] : '';
        }
    }

    public function getPartnerOrderId()
    {
        return $this->partnerOrderId;
    }

    public function setPartnerOrderId($partnerOrderId)
    {
        $this->partnerOrderId = $partnerOrderId;
    }

    public function getCardId()
    {
        return $this->cardId;
    }

    public function setCardId($cardId)
    {
        $this->cardId = $cardId;
    }

    public function getAccountCurrency()
    {
        return $this->accountCurrency;
    }

    public function setAccountCurrency($accountCurrency)
    {
        $this->accountCurrency = $accountCurrency;
    }


}
