<?php

namespace PyvioPaySdk\request\issuing;

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class QueryApplyCardStatusRequest extends BaseRequest
{
    public $method = 'GET';

    private $partnerOrderId;

    private $cardId;

    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V2_QUERY_APPLY_CARD_STATUS;
    }


    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->partnerOrderId = isset($params['partner_order_id']) ? $params['partner_order_id'] : '';
            $this->cardId = isset($params['card_id']) ? $params['card_id'] : '';
        }
    }

    public function getPartnerOrderId()
    {
        return $this->partnerOrderId;
    }

    public function setPartnerOrderId($partnerOrderId)
    {
        $this->partnerOrderId = $partnerOrderId;
    }

    public function getCardId()
    {
        return $this->cardId;
    }

    public function setCardId($cardId)
    {
        $this->cardId = $cardId;
    }

}
