<?php

namespace PyvioPaySdk\request\issuing;

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class QueryCardBalanceRequest extends BaseRequest
{
    public $method = 'GET';

    private $cardId;

    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V2_QUERY_CARD_BALANCE;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->cardId = isset($params['card_id']) ? $params['card_id'] : '';
        }
    }

    public function getCardId()
    {
        return $this->cardId;
    }

    public function setCardId($cardId)
    {
        $this->cardId = $cardId;
    }

}
