<?php

namespace PyvioPaySdk\request\issuing;

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class QueryCardholderDetailRequest extends BaseRequest
{
    public $method = 'GET';

    private $partnerHolderId;

    private $cardHolderId;


    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V2_QUERY_CARD_HOLDER;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->partnerHolderId = isset($params['partner_holder_id']) ? $params['partner_holder_id'] : '';
            $this->cardHolderId = isset($params['card_holder_id']) ? $params['card_holder_id'] : '';
        }
    }

    public function getPartnerHolderId()
    {
        return $this->partnerHolderId;
    }

    public function setPartnerHolderId($partnerHolderId)
    {
        $this->partnerHolderId = $partnerHolderId;
    }

    /**
     * @return mixed
     */
    public function getCardHolderId()
    {
        return $this->cardHolderId;
    }

    /**
     * @param mixed $cardHolderId
     */
    public function setCardHolderId($cardHolderId)
    {
        $this->cardHolderId = $cardHolderId;
    }


}
