<?php

namespace PyvioPaySdk\request\issuing;

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class SettlementTransactionsRequest extends BaseRequest
{
    public $method = 'GET';

    private $cardId;

    private $pageNo;

    private $pageSize;

    private $beginTime;

    private $endTime;

    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V2_SETTLEMENT_TRANSACTIONS;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->cardId = isset($params['card_id']) ? $params['card_id'] : '';
            $this->pageNo = isset($params['page_no']) ? $params['page_no'] : '';
            $this->pageSize = isset($params['page_size']) ? $params['page_size'] : '';
            $this->beginTime = isset($params['begin_time']) ? $params['begin_time'] : '';
            $this->endTime = isset($params['end_time']) ? $params['end_time'] : '';
        }
    }

    public function getCardId()
    {
        return $this->cardId;
    }

    public function setCardId($cardId)
    {
        $this->cardId = $cardId;
    }

    public function getPageNo()
    {
        return $this->pageNo;
    }

    public function setPageNo($pageNo)
    {
        $this->pageNo = $pageNo;
    }

    public function getPageSize()
    {
        return $this->pageSize;
    }

    public function setPageSize($pageSize)
    {
        $this->pageSize = $pageSize;
    }

    public function getBeginTime()
    {
        return $this->beginTime;
    }

    public function setBeginTime($beginTime)
    {
        $this->beginTime = $beginTime;
    }

    public function getEndTime()
    {
        return $this->endTime;
    }

    public function setEndTime($endTime)
    {
        $this->endTime = $endTime;
    }

}
