<?php

namespace PyvioPaySdk\request\payee;

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class CreateANewPayeeRequest extends BaseRequest
{
    public $method = 'POST';

    private $partnerPayeeId;

    private $payeeType;

    private $paymentMethod;

    private $holderType;

    private $bankAccountInfo;

    private $payeeInfo;

    private $walletInfo;

    private $contactDocuments;

    private $reference;

    private $currency;


    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V1_CREATE_PAYEE;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->partnerPayeeId = isset($params['partner_payee_id']) ? $params['partner_payee_id'] : '';
            $this->payeeType = isset($params['payee_type']) ? $params['payee_type'] : '';
            $this->paymentMethod = isset($params['payment_method']) ? $params['payment_method'] : '';
            $this->holderType = isset($params['holder_type']) ? $params['holder_type'] : '';
            $this->currency = isset($params['currency']) ? $params['currency'] : '';
            $this->bankAccountInfo = isset($params['bank_account_info']) ? $params['bank_account_info'] : '';
            $this->payeeInfo = isset($params['payee_info']) ? $params['payee_info'] : '';
            $this->walletInfo = isset($params['wallet_info']) ? $params['wallet_info'] : '';
            $this->contactDocuments = isset($params['contact_documents']) ? $params['contact_documents'] : '';
            $this->reference = isset($params['reference']) ? $params['reference'] : '';
        }
    }

    public function getPartnerPayeeId()
    {
        return $this->partnerPayeeId;
    }

    public function setPartnerPayeeId($partnerPayeeId)
    {
        $this->partnerPayeeId = $partnerPayeeId;
    }

    public function getPayeeType()
    {
        return $this->payeeType;
    }

    public function setPayeeType($payeeType)
    {
        $this->payeeType = $payeeType;
    }

    public function getPaymentMethod()
    {
        return $this->paymentMethod;
    }

    public function setPaymentMethod($paymentMethod)
    {
        $this->paymentMethod = $paymentMethod;
    }

    public function getHolderType()
    {
        return $this->holderType;
    }

    public function setHolderType($holderType)
    {
        $this->holderType = $holderType;
    }

    public function getBankAccountInfo()
    {
        return $this->bankAccountInfo;
    }

    public function setBankAccountInfo($bankAccountInfo)
    {
        $this->bankAccountInfo = $bankAccountInfo;
    }

    public function getPayeeInfo()
    {
        return $this->payeeInfo;
    }

    public function setPayeeInfo($payeeInfo)
    {
        $this->payeeInfo = $payeeInfo;
    }

    public function getWalletInfo()
    {
        return $this->walletInfo;
    }

    public function setWalletInfo($walletInfo)
    {
        $this->walletInfo = $walletInfo;
    }

    public function getContactDocuments()
    {
        return $this->contactDocuments;
    }

    public function setContactDocuments($contactDocuments)
    {
        $this->contactDocuments = $contactDocuments;
    }

    public function getReference()
    {
        return $this->reference;
    }

    public function setReference($reference)
    {
        $this->reference = $reference;
    }

    public function getCurrency()
    {
        return $this->currency;
    }

    public function setCurrency($currency)
    {
        $this->currency = $currency;
    }


}
