<?php

namespace PyvioPaySdk\request\payee;

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class DeletePayeeByIdRequest extends BaseRequest
{
    public $method = 'GET';

    private $payeeId;


    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V1_DELETE_PAYEE_BY_ID;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->payeeId = isset($params['payee_id']) ? $params['payee_id'] : '';
        }
    }

    public function getPayeeId()
    {
        return $this->payeeId;
    }

    public function setPayeeId($payeeId)
    {
        $this->payeeId = $payeeId;
    }

}
