<?php

namespace PyvioPaySdk\request\payment;

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class CreateANewPaymentRequest extends BaseRequest
{
    public $method = 'POST';

    private $partnerOrderId;

    private $orderType;

    private $rateId;

    private $calOrigin;

    private $amount;

    private $originCurrency;

    private $targetCurrency;

    private $payeeId;

    private $chargeIndicator;

    private $pobo;

    private $remarks;

    private $purpose;

    private $documents;

    private $orderFileId;


    private $contractOrderList;

    private $postscript;

    private $payer;

    private $payee;

    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V1_CREATE_A_NEW_PAYMENT;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->partnerOrderId = isset($params['partner_order_id']) ? $params['partner_order_id'] : '';
            $this->orderType = isset($params['order_type']) ? $params['order_type'] : '';
            $this->rateId = isset($params['rate_id']) ? $params['rate_id'] : '';
            $this->calOrigin = isset($params['cal_origin']) ? $params['cal_origin'] : '';
            $this->amount = isset($params['amount']) ? $params['amount'] : '';
            $this->originCurrency = isset($params['origin_currency']) ? $params['origin_currency'] : '';
            $this->targetCurrency = isset($params['target_currency']) ? $params['target_currency'] : '';
            $this->payeeId = isset($params['payee_id']) ? $params['payee_id'] : '';
            $this->chargeIndicator = isset($params['charge_indicator']) ? $params['charge_indicator'] : '';
            $this->pobo = isset($params['pobo']) ? $params['pobo'] : '';
            $this->payee = isset($params['payee']) ? $params['payee'] : '';
            $this->payer = isset($params['payer']) ? $params['payer'] : '';
            $this->postscript = isset($params['postscript']) ? $params['postscript'] : '';
            $this->purpose = isset($params['purpose']) ? $params['purpose'] : '';
            $this->documents = isset($params['documents']) ? $params['documents'] : '';
            $this->orderFileId = isset($params['order_file_id']) ? $params['order_file_id'] : '';
            $this->contractOrderList = isset($params['contract_order_list']) ? $params['contract_order_list'] : '';
            $this->remarks = isset($params['remarks']) ? $params['remarks'] : '';
        }
    }

    public function getPartnerOrderId()
    {
        return $this->partnerOrderId;
    }

    public function setPartnerOrderId($partnerOrderId)
    {
        $this->partnerOrderId = $partnerOrderId;
    }

    public function getOrderType()
    {
        return $this->orderType;
    }

    public function setOrderType($orderType)
    {
        $this->orderType = $orderType;
    }


    public function getRateId()
    {
        return $this->rateId;
    }

    public function setRateId($rateId)
    {
        $this->rateId = $rateId;
    }

    public function getCalOrigin()
    {
        return $this->calOrigin;
    }

    public function setCalOrigin($calOrigin)
    {
        $this->calOrigin = $calOrigin;
    }

    public function getAmount()
    {
        return $this->amount;
    }

    public function setAmount($amount)
    {
        $this->amount = $amount;
    }

    public function getOriginCurrency()
    {
        return $this->originCurrency;
    }

    public function setOriginCurrency($originCurrency)
    {
        $this->originCurrency = $originCurrency;
    }

    public function getTargetCurrency()
    {
        return $this->targetCurrency;
    }

    public function setTargetCurrency($targetCurrency)
    {
        $this->targetCurrency = $targetCurrency;
    }

    public function getPayeeId()
    {
        return $this->payeeId;
    }

    public function setPayeeId($payeeId)
    {
        $this->payeeId = $payeeId;
    }

    public function getChargeIndicator()
    {
        return $this->chargeIndicator;
    }

    public function setChargeIndicator($chargeIndicator)
    {
        $this->chargeIndicator = $chargeIndicator;
    }

    public function getPobo()
    {
        return $this->pobo;
    }

    public function setPobo($pobo)
    {
        $this->pobo = $pobo;
    }

    public function getRemarks()
    {
        return $this->remarks;
    }

    public function setRemarks($remarks)
    {
        $this->remarks = $remarks;
    }

    public function getPurpose()
    {
        return $this->purpose;
    }

    public function setPurpose($purpose)
    {
        $this->purpose = $purpose;
    }

    public function getDocuments()
    {
        return $this->documents;
    }

    public function setDocuments($documents)
    {
        $this->documents = $documents;
    }

    public function getOrderFileId()
    {
        return $this->orderFileId;
    }

    public function setOrderFileId($orderFileId)
    {
        $this->orderFileId = $orderFileId;
    }



    public function getContractOrderList()
    {
        return $this->contractOrderList;
    }

    public function setContractOrderList($contractOrderList)
    {
        $this->contractOrderList = $contractOrderList;
    }

    public function getPostscript()
    {
        return $this->postscript;
    }

    public function setPostscript($postscript)
    {
        $this->postscript = $postscript;
    }

    public function getPayer()
    {
        return $this->payer;
    }

    public function setPayer($payer)
    {
        $this->payer = $payer;
    }

    public function getPayee()
    {
        return $this->payee;
    }

    public function setPayee($payee)
    {
        $this->payee = $payee;
    }

}
