<?php

namespace PyvioPaySdk\request\shop;

// 文档地址：https://developer-doc.pyvio.com/v1/Shop/#edit-shop

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class EditShopRequest extends BaseRequest
{
    private $platform;

    private $shopName;

    private $site;

    private $currency;

    private $shopLink;

    private $sellingGoods;

    private $acquirer;

    private $shopId;

    private $apiKey;

    private $apiSecret;

    private $salesCategory;

    private $shopOwner;

    private $legalNo;

    private $storeId;

    private $applicationType;


    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V1_EDIT_SHOP;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->platform = isset($params['platform']) ? $params['platform'] : '';
            $this->shopName = isset($params['shop_name']) ? $params['shop_name'] : '';
            $this->site = isset($params['site']) ? $params['site'] : '';
            $this->currency = isset($params['currency']) ? $params['currency'] : '';
            $this->shopLink = isset($params['shop_link']) ? $params['shop_link'] : '';
            $this->sellingGoods = isset($params['selling_goods']) ? $params['selling_goods'] : '';
            $this->acquirer = isset($params['acquirer']) ? $params['acquirer'] : '';
            $this->shopId = isset($params['shop_id']) ? $params['shop_id'] : '';
            $this->apiKey = isset($params['api_key']) ? $params['api_key'] : '';
            $this->apiSecret = isset($params['api_secret']) ? $params['api_secret'] : '';
            $this->salesCategory = isset($params['sales_category']) ? $params['sales_category'] : '';
            $this->shopOwner = isset($params['shop_owner']) ? $params['shop_owner'] : '';
            $this->legalNo = isset($params['legal_no']) ? $params['legal_no'] : '';
            $this->storeId = isset($params['store_id']) ? $params['store_id'] : '';
            $this->applicationType = isset($params['application_type']) ? $params['application_type'] : '';
        }
    }

    public function getPlatform()
    {
        return $this->platform;
    }

    public function setPlatform($platform)
    {
        $this->platform = $platform;
    }

    public function getShopName()
    {
        return $this->shopName;
    }

    public function setShopName($shopName)
    {
        $this->shopName = $shopName;
    }

    public function getSite()
    {
        return $this->site;
    }

    public function setSite($site)
    {
        $this->site = $site;
    }

    public function getCurrency()
    {
        return $this->currency;
    }

    public function setCurrency($currency)
    {
        $this->currency = $currency;
    }

    public function getShopLink()
    {
        return $this->shopLink;
    }

    public function setShopLink($shopLink)
    {
        $this->shopLink = $shopLink;
    }

    public function getSellingGoods()
    {
        return $this->sellingGoods;
    }

    public function setSellingGoods($sellingGoods)
    {
        $this->sellingGoods = $sellingGoods;
    }

    public function getAcquirer()
    {
        return $this->acquirer;
    }

    public function setAcquirer($acquirer)
    {
        $this->acquirer = $acquirer;
    }

    public function getShopId()
    {
        return $this->shopId;
    }

    public function setShopId($shopId)
    {
        $this->shopId = $shopId;
    }

    public function getApiKey()
    {
        return $this->apiKey;
    }

    public function setApiKey($apiKey)
    {
        $this->apiKey = $apiKey;
    }

    public function getApiSecret()
    {
        return $this->apiSecret;
    }

    public function setApiSecret($apiSecret)
    {
        $this->apiSecret = $apiSecret;
    }

    public function getSalesCategory()
    {
        return $this->salesCategory;
    }

    public function setSalesCategory($salesCategory)
    {
        $this->salesCategory = $salesCategory;
    }

    public function getShopOwner()
    {
        return $this->shopOwner;
    }

    public function setShopOwner($shopOwner)
    {
        $this->shopOwner = $shopOwner;
    }

    public function getLegalNo()
    {
        return $this->legalNo;
    }

    public function setLegalNo($legalNo)
    {
        $this->legalNo = $legalNo;
    }

    public function getApplicationType()
    {
        return $this->applicationType;
    }

    public function setApplicationType($applicationType)
    {
        $this->applicationType = $applicationType;
    }

    public function getStoreId(){
        return $this->storeId;
    }

    public function setStoreId($storeId)
    {
        $this->storeId = $storeId;
    }

}
