<?php

namespace PyvioPaySdk\request\shop;

// 文档地址：https://developer-doc.pyvio.com/v1/Shop/#get-shop-by-shop-id

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class GetShopByShopIdRequest extends BaseRequest
{

    private $shopId;

    public function getFunctionCode(): string
    {
        return FunctionCodeEnum::$V1_GET_SHOP_BY_SHOP_ID;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->shopId = isset($params['shop_id']) ? $params['shop_id'] : '';
        }
    }

    public function getShopId()
    {
        return $this->shopId;
    }

    public function setShopId($shopId)
    {
        $this->shopId = $shopId;
    }
}
