<?php

namespace PyvioPaySdk\request\shop;

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class GetShopListRequest extends BaseRequest
{
    public $method = 'GET';

    private $fromCreated;

    private $toCreated;

    private $pageNo;

    private $pageSize;

    private $globalAccountNo;

    private $status;

    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V1_GET_SHOP_LIST;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->fromCreated = isset($params['from_created']) ? $params['from_created'] : '';
            $this->toCreated = isset($params['to_created']) ? $params['to_created'] : '';
            $this->pageNo = isset($params['page_no']) ? $params['page_no'] : '';
            $this->pageSize = isset($params['page_size']) ? $params['page_size'] : '';
            $this->globalAccountNo = isset($params['global_account_no']) ? $params['global_account_no'] : '';
            $this->status = isset($params['status']) ? $params['status'] : '';
        }
    }

    public function getFromCreated()
    {
        return $this->fromCreated;
    }

    public function setFromCreated($fromCreated)
    {
        $this->fromCreated = $fromCreated;
    }

    public function getToCreated()
    {
        return $this->toCreated;
    }

    public function setToCreated($toCreated)
    {
        $this->toCreated = $toCreated;
    }

    public function getPageNo()
    {
        return $this->pageNo;
    }

    public function setPageNo($pageNo)
    {
        $this->pageNo = $pageNo;
    }

    public function getPageSize()

    {
        return $this->pageSize;
    }

    public function setPageSize($pageSize)
    {
        $this->pageSize = $pageSize;
    }

    public function getGlobalAccountNo()
    {
        return $this->globalAccountNo;
    }

    public function setAccountNo($globalAccountNo)
    {
        $this->globalAccountNo = $globalAccountNo;
    }

    public function getStatus()
    {
        return $this->status;
    }

    public function setStatus($status)
    {
        $this->status = $status;
    }
}