<?php

namespace PyvioPaySdk\request\transfer;

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class CreateATransferRequest extends BaseRequest
{
    public $method = 'POST';

    private $amount;

    private $currency;

    private $payeeUnitId;

    private $purpose;

    private $partnerOrderId;



    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V1_CREATE_A_TRANSFER;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->amount = isset($params['amount']) ? $params['amount'] : '';
            $this->currency = isset($params['currency']) ? $params['currency'] : '';
            $this->payeeUnitId = isset($params['payee_unit_id']) ? $params['payee_unit_id'] : '';
            $this->purpose = isset($params['purpose']) ? $params['purpose'] : '';
            $this->partnerOrderId = isset($params['partner_order_id']) ? $params['partner_order_id'] : '';
        }
    }

    public function getAmount()
    {
        return $this->amount;
    }

    public function setAmount($amount)
    {
        $this->amount = $amount;
    }

    public function getCurrency()
    {
        return $this->currency;
    }

    public function setCurrency($currency)
    {
        $this->currency = $currency;
    }

    public function getPayeeUnitId()
    {
        return $this->payeeUnitId;
    }

    public function setPayeeUnitId($payeeUnitId)
    {
        $this->payeeUnitId = $payeeUnitId;
    }

    public function getPurpose()
    {
        return $this->purpose;
    }

    public function setPurpose($purpose)
    {
        $this->purpose = $purpose;
    }

    public function getPartnerOrderId()
    {
        return $this->partnerOrderId;
    }

    public function setPartnerOrderId($partnerOrderId)
    {
        $this->partnerOrderId = $partnerOrderId;
    }



}
