<?php

namespace PyvioPaySdk\request\user;

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

// 接口地址 https://developer-doc.pyvio.com/v1/User/#create-a-new-user

class CreateANewUserRequest extends BaseRequest
{
    public $method = 'POST';

    private $clientId;

    private $email;

    private $phone;

    private $merchantType;

    private $partnerUserId;

    private $kycType;

    // Enterprise type
    // One Of Corporation, Partnership, IICH, Limited Company, Others
    private $type;

    // Business License Photo
    private $businessLicense;

    // One Of Tangibles Goods, Intangible Goods & Service
    private $industryTypeFirst;

    private $industryTypeSecond;

    private $companyNameEn;

    private $companyName;

    private $isB2B;

    private $listed;

    private $stateOwnedEnterprised;

    private $foreignOwnedEnterprised;

    private $onlineStoreName;

    private $onlineStoreUrl;

    private $stockholder;

    private $idCardFront;

    private $idCardBack;

    private $idCardType;

    private $beneficiaryList;

    private $idCardHand;

    private $br;

    private $ci;

    private $nnc;

    private $nar;

    private $otherAppendix;

    private $documents;

    private $chinaName;

    private $englishName;

    private $companyNameZh;

    private $address;

    private $secondArea;

    private $other;

    private $identifyNo;

    private $country;

    private $idCardCountry;

    private $blProvince;

    private $blCity;

    private $blAddress;

    private $blEstablishDate;

    private $blValidPeriod;

    private $frontProvince;

    private $frontCity;

    private $frontAddress;

    private $frontArea;

    private $frontNum;

    private $frontNameEn;



    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V1_CREATE_A_NEW_USER;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->clientId = isset($params['client_id']) ? $params['client_id'] : '';
            $this->email = isset($params['email']) ? $params['email'] : '';
            $this->phone = isset($params['phone']) ? $params['phone'] : '';
            $this->merchantType = isset($params['merchant_type']) ? $params['merchant_type'] : '';
            $this->partnerUserId = isset($params['partner_user_id']) ? $params['partner_user_id'] : '';
            $this->kycType = isset($params['kyc_type']) ? $params['kyc_type'] : '';
            $this->type = isset($params['type']) ? $params['type'] : '';
            $this->businessLicense = isset($params['business_license']) ? $params['business_license'] : '';
            $this->industryTypeFirst = isset($params['industry_type_first']) ? $params['industry_type_first'] : '';
            $this->industryTypeSecond = isset($params['industry_type_second']) ? $params['industry_type_second'] : '';
            $this->companyName = isset($params['company_name']) ? $params['company_name'] : '';
            $this->companyNameEn = isset($params['company_name_en']) ? $params['company_name_en'] : '';
            $this->isB2B = isset($params['is_B2B']) ? $params['is_B2B'] : '';
            $this->onlineStoreName = isset($params['online_store_name']) ? $params['online_store_name'] : '';
            $this->onlineStoreUrl = isset($params['online_store_url']) ? $params['online_store_url'] : '';
            $this->listed = isset($params['listed']) ? $params['listed'] : '';
            $this->stateOwnedEnterprised = isset($params['state_owned_enterprised']) ? $params['state_owned_enterprised'] : '';
            $this->foreignOwnedEnterprised = isset($params['foreign_owned_enterprised']) ? $params['foreign_owned_enterprised'] : '';
            $this->stockholder = isset($params['stockholder']) ? $params['stockholder'] : '';
            $this->idCardFront = isset($params['idCard_front']) ? $params['idCard_front'] : '';
            $this->idCardBack = isset($params['idCard_back']) ? $params['idCard_back'] : '';
            $this->idCardType = isset($params['idCard_type']) ? $params['idCard_type'] : '';
            $this->beneficiaryList = isset($params['beneficiary_list']) ? $params['beneficiary_list'] : '';
            $this->idCardHand = isset($params['idCard_hand']) ? $params['idCard_hand'] : '';
            $this->identifyNo = isset($params['identify_no']) ? $params['identify_no'] : '';
            $this->idCardCountry = isset($params['idCard_country']) ? $params['idCard_country'] : '';
            $this->country = isset($params['country']) ? $params['country'] : '';
            $this->frontArea = isset($params['front_area']) ? $params['front_area'] : '';
            $this->documents = isset($params['documents']) ? $params['documents'] : '';
            $this->frontNum = isset($params['front_num']) ? $params['front_num'] : '';
            $this->blProvince = isset($params['bl_province']) ? $params['bl_province'] : '';
            $this->frontProvince = isset($params['front_province']) ? $params['front_province'] : '';
            $this->blCity = isset($params['bl_city']) ? $params['bl_city'] : '';
            $this->blAddress = isset($params['bl_address']) ? $params['bl_address'] : '';
            $this->frontCity = isset($params['front_city']) ? $params['front_city'] : '';
            $this->ci = isset($params['ci']) ? $params['ci'] : '';
            $this->blEstablishDate = isset($params['bl_establish_date']) ? $params['bl_establish_date'] : '';
            $this->frontAddress = isset($params['front_address']) ? $params['front_address'] : '';
            $this->blValidPeriod = isset($params['bl_valid_period']) ? $params['bl_valid_period'] : '';
            $this->frontNameEn = isset($params['front_name_en']) ? $params['front_name_en'] : '';
            $this->br = isset($params['br']) ? $params['br'] : '';
            $this->nnc = isset($params['nnc']) ? $params['nnc'] : '';
            $this->nar = isset($params['nar']) ? $params['nar'] : '';
            $this->otherAppendix = isset($params['other_appendix']) ? $params['other_appendix'] : '';
            $this->chinaName = isset($params['china_name']) ? $params['china_name'] : '';
            $this->englishName = isset($params['english_name']) ? $params['english_name'] : '';
            $this->companyNameZh = isset($params['company_name_zh']) ? $params['company_name_zh'] : '';
            $this->address = isset($params['address']) ? $params['address'] : '';
            $this->secondArea = isset($params['second_area']) ? $params['second_area'] : '';
            $this->other = isset($params['other']) ? $params['other'] : '';
        }
    }

    public function getClientId() {
        return $this->clientId;
    }

    public function setClientId($clientId) {
        $this->clientId = $clientId;
    }

    public function getEmail()
    {
        return $this->email;
    }

    public function setEmail($email)
    {
        $this->email = $email;
    }

    public function getPhone()
    {
        return $this->phone;
    }

    public function setPhone($phone)
    {
        $this->phone = $phone;
    }

    public function getMerchantType()
    {
        return $this->merchantType;
    }

    public function setMerchantType($merchantType)
    {
        $this->merchantType = $merchantType;
    }

    public function getPartnerUserId()
    {
        return $this->partnerUserId;
    }

    public function setPartnerUserId($partnerUserId)
    {
        $this->partnerUserId = $partnerUserId;
    }

    public function getKycType()
    {
        return $this->kycType;
    }

    public function setKycType($kycType)
    {
        $this->kycType = $kycType;
    }

    public function getType()
    {
        return $this->type;
    }

    public function setType($type)
    {
        $this->type = $type;
    }

    public function getBusinessLicense()
    {
        return $this->businessLicense;
    }

    public function setBusinessLicense($businessLicense)
    {
        $this->businessLicense = $businessLicense;
    }

    public function getIndustryTypeFirst()
    {
        return $this->industryTypeFirst;
    }

    public function setIndustryTypeFirst($industryTypeFirst)
    {
        $this->industryTypeFirst = $industryTypeFirst;
    }

    public function getIndustryTypeSecond()
    {
        return $this->industryTypeSecond;
    }

    public function setIndustryTypeSecond($industryTypeSecond)
    {
        $this->industryTypeSecond = $industryTypeSecond;
    }

    public function getIsB2B()
    {
        return $this->isB2B;
    }

    public function setIsB2B($isB2B)
    {
        $this->isB2B = $isB2B;
    }

    public function getCompanyNameEn()
    {
        return $this->companyNameEn;
    }

    public function setCompanyNameEn($companyNameEn)
    {
        $this->companyNameEn = $companyNameEn;
    }


    public function getCompanyName()
    {
        return $this->companyName;
    }

    public function setCompanyName($companyName)
    {
        $this->companyName = $companyName;
    }

    public function getListed()
    {
        return $this->listed;
    }

    public function setListed($listed)
    {
        $this->listed = $listed;
    }

    public function getStateOwnedEnterprised()
    {
        return $this->stateOwnedEnterprised;
    }

    public function setStateOwnedEnterprised($stateOwnedEnterprised)
    {
        $this->stateOwnedEnterprised = $stateOwnedEnterprised;
    }

    public function getForeignOwnedEnterprised()
    {
        return $this->foreignOwnedEnterprised;
    }

    public function setForeignOwnedEnterprised($foreignOwnedEnterprised)
    {
        $this->foreignOwnedEnterprised = $foreignOwnedEnterprised;
    }

    public function getOnlineStoreName()
    {
        return $this->onlineStoreName;
    }

    public function setOnlineStoreName($onlineStoreName)
    {
        $this->onlineStoreName = $onlineStoreName;
    }

    public function getOnlineStoreUrl()
    {
        return $this->onlineStoreUrl;
    }

    public function setOnlineStoreUrl($onlineStoreUrl)
    {
        $this->onlineStoreUrl = $onlineStoreUrl;
    }

    public function getStockholder()
    {
        return $this->stockholder;
    }

    public function setStockholder($stockholder)
    {
        $this->stockholder = $stockholder;
    }

    public function getIdCardFront()
    {
        return $this->idCardFront;
    }

    public function setIdCardFront($idCardFront)
    {
        $this->idCardFront = $idCardFront;
    }

    public function getIdCardBack()
    {
        return $this->idCardBack;
    }

    public function setIdCardBack($idCardBack)
    {
        $this->idCardBack = $idCardBack;
    }

    public function getIdCardType()
    {
        return $this->idCardType;
    }

    public function setIdCardType($idCardType)
    {
        $this->idCardType = $idCardType;
    }

    public function getBeneficiaryList()
    {
        return $this->beneficiaryList;
    }

    public function setBeneficiaryList($beneficiaryList)
    {
        $this->beneficiaryList = $beneficiaryList;
    }

    public function getIdCardHand()
    {
        return $this->idCardHand;
    }

    public function setIdCardHand($idCardHand)
    {
        $this->idCardHand = $idCardHand;
        $this->idCard_hand = $idCardHand;
    }

    public function getBr()
    {
        return $this->br;
    }

    public function setBr($br)
    {
        $this->br = $br;
    }

    public function getCi()
    {
        return $this->ci;
    }

    public function setCi($ci)
    {
        $this->ci = $ci;
    }

    public function getNnc()
    {
        return $this->nnc;
    }

    public function setNnc($nnc)
    {
        $this->nnc = $nnc;
    }

    public function getNar()
    {
        return $this->nar;
    }

    public function setNar($nar)
    {
        $this->nar = $nar;
    }

    public function getOtherAppendix()
    {
        return $this->otherAppendix;
    }

    public function setOtherAppendix($otherAppendix)
    {
        $this->otherAppendix = $otherAppendix;
    }

    public function getDocuments()
    {
        return $this->documents;
    }

    public function setDocuments($documents)
    {
        $this->documents = $documents;
    }

    public function getChinaName()
    {
        return $this->chinaName;
    }

    public function setChinaName($chinaName)
    {
        $this->chinaName = $chinaName;
    }

    public function getEnglishName()
    {
        return $this->englishName;
    }

    public function setEnglishName($englishName)
    {
        $this->englishName = $englishName;
    }

    public function getCompanyNameZh()
    {
        return $this->companyNameZh;
    }

    public function setCompanyNameZh($companyNameZh)
    {
        $this->companyNameZh = $companyNameZh;
    }

    public function getAddress()
    {
        return $this->address;
    }

    public function setAddress($address)
    {
        $this->address = $address;
    }

    public function getSecondArea()
    {
        return $this->secondArea;
    }

    public function setSecondArea($secondArea)
    {
        $this->secondArea = $secondArea;
    }

    public function getOther()
    {
        return $this->other;
    }

    public function setOther($other)
    {
        $this->other = $other;
    }

    public function getIdentifyNo()
    {
        return $this->identifyNo;
    }

    public function setIdentifyNo($identifyNo)
    {
        $this->identifyNo = $identifyNo;
    }

    public function getIdCardCountry()
    {
        return $this->idCardCountry;
    }

    public function setIdCardCountry($idCardCountry)
    {
        $this->idCardCountry = $idCardCountry;
    }

    public function getCountry()
    {
        return $this->country;
    }

    public function setCountry($country)
    {
        $this->country = $country;
    }

    public function getBlProvince()
    {
        return $this->blProvince;
    }

    public function setBlProvince($blProvince)
    {
        $this->blProvince = $blProvince;
    }

    public function getBlCity()
    {
        return $this->blCity;
    }

    public function setBlCity($blCity)
    {
        $this->blCity = $blCity;
    }

    public function getBlAddress()
    {
        return $this->blAddress;
    }

    public function setBlAddress($blAddress)
    {
        $this->blAddress = $blAddress;
    }

    public function getBlEstablishDate()
    {
        return $this->blEstablishDate;
    }

    public function setBlEstablishDate($blEstablishDate)
    {
        $this->blEstablishDate = $blEstablishDate;
    }

    public function getBlValidPeriod()
    {
        return $this->blValidPeriod;
    }

    public function setBlValidPeriod($blValidPeriod)
    {
        $this->blValidPeriod = $blValidPeriod;
    }

    public function getFrontProvince()
    {
        return $this->frontProvince;
    }

    public function setFrontProvince($frontProvince)
    {
        $this->frontProvince = $frontProvince;
    }

    public function getFrontCity()
    {
        return $this->frontCity;
    }

    public function setFrontCity($frontCity)
    {
        $this->frontCity = $frontCity;
    }

    public function getFrontAddress()
    {
        return $this->frontAddress;
    }

    public function setFrontAddress($frontAddress)
    {
        $this->frontAddress = $frontAddress;
    }

    public function getFrontArea()
    {
        return $this->frontArea;
    }

    public function setFrontArea($frontArea)
    {
        $this->frontArea = $frontArea;
    }

    public function getFrontNum()
    {
        return $this->frontNum;
    }

    public function setFrontNum($frontNum)
    {
        $this->frontNum = $frontNum;
    }

    public function getFrontNameEn()
    {
        return $this->frontNameEn;
    }

    public function setFrontNameEn($frontNameEn)
    {
        $this->frontNameEn = $frontNameEn;
    }



}
