<?php

namespace PyvioPaySdk\request\user;

// 文档地址：https://developer-doc.pyvio.com/v1/User/#get-user-by-id

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class GetUserByIdRequest extends BaseRequest
{
    public $method = 'GET';

    private $unitId;

    private $partnerUserId;

    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V1_GET_USER_BY_ID;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->unitId = isset($params['unit_id']) ? $params['unit_id'] : '';
            $this->partnerUserId = isset($params['partner_user_id']) ? $params['partner_user_id'] : '';
        }
    }

    public function getUnitId()
    {
        return $this->unitId;
    }

    public function setUnitId($unitId)
    {
        $this->unitId = $unitId;
    }

    public function getPartnerUserId()
    {
        return $this->partnerUserId;
    }

    public function setPartnerUserId($partnerUserId)
    {
        $this->partnerUserId = $partnerUserId;
    }

}
