<?php

// 接口地址 https://developer-doc.pyvio.com/v2/User/#create-a-new-user

namespace PyvioPaySdk\request\user;

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class V2_CreateANewUserRequest extends BaseRequest
{

    public $method = 'POST';

    private $partnerUserId;

    private $clientId;

    private $email;

    private $phone;

    private $merchantType;

    private $kycType;

    private $industry;

    private $individualInfo;

    private $companyInfo;


    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V2_CREATE_A_NEW_USER;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->clientId = isset($params['client_id']) ? $params['client_id'] : '';
            $this->email = isset($params['email']) ? $params['email'] : '';
            $this->phone = isset($params['phone']) ? $params['phone'] : '';
            $this->merchantType = isset($params['merchant_type']) ? $params['merchant_type'] : '';
            $this->partnerUserId = isset($params['partner_user_id']) ? $params['partner_user_id'] : '';
            $this->kycType = isset($params['kyc_type']) ? $params['kyc_type'] : '';
            $this->industry = isset($params['industry']) ? $params['industry'] : '';
            $this->individualInfo = isset($params['individual_info']) ? $params['individual_info'] : '';
            $this->companyInfo = isset($params['company_info']) ? $params['company_info'] : '';
        }
    }


    public function getPartnerUserId()
    {
        return $this->partnerUserId;
    }

    public function setPartnerUserId($partnerUserId)
    {
        $this->partnerUserId = $partnerUserId;
    }

    public function getClientId()
    {
        return $this->clientId;
    }

    public function setClientId($clientId)
    {
        $this->clientId = $clientId;
    }

    public function getEmail()
    {
        return $this->email;
    }

    public function setEmail($email)
    {
        $this->email = $email;
    }

    public function getPhone()
    {
        return $this->phone;
    }

    public function setPhone($phone)
    {
        $this->phone = $phone;
    }

    public function getMerchantType()
    {
        return $this->merchantType;
    }

    public function setMerchantType($merchantType)
    {
        $this->merchantType = $merchantType;
    }

    public function getKycType()
    {
        return $this->kycType;
    }

    public function setKycType($kycType)
    {
        $this->kycType = $kycType;
    }

    public function getIndustry()
    {
        return $this->industry;
    }

    public function setIndustry($industry)
    {
        $this->industry = $industry;
    }

    public function getIndividualInfo()
    {
        return $this->individualInfo;
    }

    public function setIndividualInfo($individualInfo)
    {
        $this->individualInfo = $individualInfo;
    }

    public function getCompanyInfo()
    {
        return $this->companyInfo;
    }

    public function setCompanyInfo($companyInfo)
    {
        return $this->companyInfo;
    }



}